Nowe posty

Autor Wątek: GLIB  (Przeczytany 311 razy)

wichura

  • Gość
GLIB
« dnia: 2005-10-28, 15:20:05 »
Witam
Mam zainstalowanego Linuxa (Mandriva 2005) na jedym fizycznym dysku, na drugim zas Windowsa XP. Niestety nie umiem podpiac tych dwoch dyskow rownoczesnie, bo powstaje konflikt - jesli dopinam dysk z XP to staje sie on Masterem (niezalezsnie od zworek), a wiec zeby ten problem rozwiazac przepinam linuksa pod druga tasme i... nie rusza :/ zglasza jakies bledy, jesli ten opis nie wystarczy przepisze co sie wyswietla, niemiej jednak wie ktos moze co zrobic? Czemu Linux buntuje sie jesli tylko zmieniam tasnme na ktorej jest dysk?
Pozdrawiam
Wichura

Xax79

  • Gość
GLIB
« Odpowiedź #1 dnia: 2005-10-28, 16:43:51 »
Bo jezeli byl podpiety jako primary master to partycje oznaczone byly jako hdaX, gdzie X to kolejny numer partycji. Skoro przepiales dysk z linuxem to zmienily sie teraz oznaczenia partycji i pewnie teraz jest to hdbX (lub hdcX albo hddX).
Trzeba zmienic oznaczenia partycji w /etc/fstab i konfiguracji bootmanagera (lilo, gruba czy co tam masz).

Zobacz jak sie zmienilo sie oznaczenie dysku z linuxem:
hda - primary master
hdb - primary slave
hdc - secondary master
hdd - secondary slave

Numeracja partycji pozostaje bez zmian.

wichura

  • Gość
GLIB
« Odpowiedź #2 dnia: 2005-10-29, 12:05:03 »
Aha, no ma to sens ;) a jesli chce przepiac dysk z linka na druga tasme, to jak moge \\"przeiwdziec\\" jak to skondigurowac? albo inaczej - jak bootuje sie system, wchodzi mi od razu w Xy. Czy jest mozliwosc zatrzymania tego procesu tak zebym mial linie komend tylko? Cos jak F8 podczas logowania Windy?
pozdr
Wichura

Stilgar

  • Gość
GLIB
« Odpowiedź #3 dnia: 2005-10-29, 13:29:30 »
jak masz lilo, i bootujesz sie normalnie pozycją \\'linux\\' to mozesz wpisac zamiast tego

linux init 3

3 oznacza tryb tekstowy. 5 graficzny

munek

  • Gość
GLIB
« Odpowiedź #4 dnia: 2005-10-28, 14:43:23 »
Mam problem. Mianowicie chodzi mi o GLIB'a. Niektóre aplikacje wymagają ponad 2.6 a ja tymczasem jak sprawdzam glib-config --version to mi pisze ze mam 1.2.8. Gdy zainstalowałem nowe to dalej nic sie nie zmienia jak mam to uaktualnić ?